using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class SetAnimationTreeBool:Action
  { 
    [Export]
    public AnimationTree tree;

    [Export]
    public string name;

    [Export]
    public bool value;

    protected override void _OnTrigger()
    {
      tree.Set( "parameters/conditions/" + name, value );
      tree.Set( "parameters/conditions/not_" + name, ! value );
    }
  }
}